I have got segmentation faults trying to run fop. I tried to recompile fop to see if this solved the problem, but it segmentation faulted during the build.

I'm running linux, Slackware 8.0, JDK 1.3.1. The demo's that come with Jdk run fine.

I have noted a comment about segmentation faults in the list archives for fop-dev, mentioning using glibc 2.2.4 rather than 2.2 with SuSe 7.1, is this likely to be the cure. I don't fancy upgrading glibc for the sake of it, as I've not tried it before and its a big problem if it goes wrong I beleive.

For completeness, here's the errors I found:

From running fop,

/usr/local/bin/fop: line 2: 1961 Segmentation fault java -cp /usr/local/fop/build/fop.jar:/usr/local/fop/lib/batik.jar:/usr/local/fop/lib/xalan-2.0.0.jar: /usr/local/fop/lib/xerces-1.2.3.jar:/usr/local/fop/lib/jimi-1.0.jar org.apache.fop.apps.Fop "$@"

From building fop,

Fop Build System ----------------


Building with classpath /usr/lib/jdk/lib/tools.jar:/usr/lib/jdk/lib/classes.zip:lib/ant.jar:lib/batik.jar:lib/buildtools.jar:lib/xerces-1.2.3.jar:lib/xalan-2.0.0.jar:lib/xalanj1compat.jar:lib/bsf.jar:lib/jimi-1.0.jar:lib/logkit-1.0b4.jar:lib/avalon-framework-4.0.jar Starting Ant...

Buildfile: build.xml build.sh: line 26: 2418 Segmentation fault $JAVA_HOME/bin/java -Dant.home=$ANT_HOME -classpath "$LOCALCLASSPATH" org.apache.tools.ant.Main $*

Thanks


-- Peter Chant [EMAIL PROTECTED]

Reply via email to